play.templates

## Enum GroovyInlineTags.CALL

- java.lang.Object
- - java.lang.Enum<GroovyInlineTags.CALL>
  - - play.templates.GroovyInlineTags.CALL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GroovyInlineTags.CALL>
  Enclosing class:
    GroovyInlineTags

      public static enum GroovyInlineTags.CALL
      extends java.lang.Enum<GroovyInlineTags.CALL>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END`
    `START`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroovyInlineTags.CALL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GroovyInlineTags.CALL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final GroovyInlineTags.CALL START

    - #### END

          public static final GroovyInlineTags.CALL END

  - ### Method Detail

    - #### values

          public static GroovyInlineTags.CALL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroovyInlineTags.CALL c : GroovyInlineTags.CALL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroovyInlineTags.CALL valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly